*{
    margin: 0;
    box-sizing: border-box;
    padding: 0;
}

body{
    height: 100vh;
    background: #9CECFB;  /* fallback for old browsers */
    background: -webkit-linear-gradient(to right, #0052D4, #65C7F7, #9CECFB);  /* Chrome 10-25, Safari 5.1-6 */
    background: linear-gradient(to right, #0052D4, #65C7F7, #9CECFB); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
    

}


h1, h2{
    padding:15px 0px 15px 0px;
    font-family: 'Open Sans', sans-serif;
    font-size: 40px;
    font-weight: 800;
    line-height:40px;
    color: ##04315c;
}

.sub-text{
    font-family: 'Open Sans', sans-serif;
    font-size: 20;
}

#cantidadGenerar{
    padding: 5px;
    border-radius: 10px;
    font-size: 20px;
    text-align: center;
    width: 25%;
    border: 1px solid #9c9c9c;
    margin-left: 10px;
}
.botones{
    display: flex;
    flex-direction: column;
}

.botones > input{
    padding: 10px;
    margin-top: 10px;
    border-radius: 10px;
    border: 1px solid #ececec
}

.botones > input:nth-child(1){
    font-family: 'Open Sans', sans-serif;
    background-color: #0052D4;
    font-weight: 600;
    color: white;
    transition:ease-in .1s;
    border: none;
}
.botones > input:nth-child(1):hover{
    font-family: 'Open Sans', sans-serif;
    background-color: #1b5cc5;
    transform: scale(.9);
    font-weight: 600;
}

.botones > input:nth-child(2){
    font-family: 'Open Sans', sans-serif;
    background-color:lightgray;
    font-weight: 600;
    transition: ease-in .1s;
    border: none;
}   

.botones > input:nth-child(2):hover{
    font-family: 'Open Sans', sans-serif;
    background-color:rgb(171, 171, 171);
    transform: scale(.9);
    font-weight: 600;
}

select#arrayNumeros {
    padding: 5px;
    border-radius: 10px;
    border: 1px solid white;
    font-size: 18px;
    text-align: center;
}

.container-5{
    display: flex;
    flex-direction: column;
}
.container-2, .container-3, .container-4  {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    padding: 5px 0px 5px 0px;
}

.container-6{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

span.result-set {
    font-family: 'Open Sans', sans-serif;
    font-size: 16px;
    font-weight: 700;
    width: auto;
    color: #16264e;
}

/* .der{
    padding-right: 10px;
}
.izq{
    padding-left: 15px;
} */
.container{
    display: flex;
    width: 100vw;
    height: 100vh;
    overflow:hidden;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}

.formulario{
    display: flex;
    width: 50%;
    padding: 5%;
    flex-direction: column;
}
.form{
    display: flex;
    flex-direction: column;
    padding: 5% 10%;
    background: rgba( 255, 255, 255, 0.4 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 7.5px );
    -webkit-backdrop-filter: blur( 7.5px );
    border-radius: 10px;
    border: 1px solid rgba( 255, 255, 255, 0.18 );
    min-height: 400px;
    justify-content: center;
}


.resultados{
    display: flex;
    width: 50%;
    padding: 4%;
    flex-direction: column;
 
}

#resultSim{
    font-size: 20px;
    font-weight: 800;
    font-family: 'Open Sans', sans-serif;
    padding-top: 10px;
}

#numMayor,
#numMayorPo,
#numMenor,
#numMenorPo,
#pares,
#promedio,
#prcntPar,
#prcntImpar {
    font-family: 'Open Sans', sans-serif;
}

.result{
    display: flex;
    flex-direction: column;
    padding: 5% 11%;
    background: rgba( 255, 255, 255, 0.4 );
    box-shadow: 0 8px 32px 0 rgba( 31, 38, 135, 0.37 );
    backdrop-filter: blur( 7.5px );
    -webkit-backdrop-filter: blur( 7.5px );
    border-radius: 10px;
    border: 1px solid rgba( 255, 255, 255, 0.18 );
    min-height: 400px;
}

@media screen and (max-width:700px) {

    .container{
    display: flex;
    width: auto;
    height: auto;
    overflow:auto;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    }
    .formulario{
        display: flex;
        width: auto;
        padding: 5%;
        flex-direction: column;
    }
    .resultados{
        display: flex;
        width: 100%;
        padding: 4%;
        flex-direction: column;
     
    }
}